For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTUpload Document
      • GETRetrieve Document
      • GETList Documents
      • PATCHUpdate Document
      • DELDestroy
LogoLogo
BlogLog InRequest Demo
Client SDKDocuments

List Documents

GA
GET
https://api.vellum.ai/v1/documents
GET
/v1/documents
1import requests
2
3url = "https://api.vellum.ai/v1/documents"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "count": 123,
3 "next": "http://api.example.org/accounts/?offset=400&limit=100",
4 "previous": "http://api.example.org/accounts/?offset=200&limit=100",
5 "results": [
6 {
7 "id": "string",
8 "last_uploaded_at": "2024-01-15T09:30:00Z",
9 "label": "string",
10 "processing_state": "QUEUED",
11 "document_to_document_indexes": [
12 {
13 "id": "string",
14 "environment_document_index_id": "string",
15 "document_index_id": "string",
16 "processing_state": "string",
17 "indexing_state": "AWAITING_PROCESSING"
18 }
19 ],
20 "external_id": "string",
21 "processing_failure_reason": "EXCEEDED_CHARACTER_LIMIT",
22 "status": "ACTIVE",
23 "keywords": [
24 "string"
25 ],
26 "metadata": {}
27 }
28 ]
29}
Used to list documents. Optionally filter on supported fields.
Was this page helpful?
Previous

Update Document

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Headers

X-API-VersionstringOptional

Query parameters

document_index_idstringOptionalformat: "uuid"

Filter down to only those documents that are included in the specified index. You may provide either the Vellum-generated ID or the unique name of the index specified upon initial creation.

limitintegerOptional
Number of results to return per page.
offsetintegerOptional
The initial index from which to return the results.
orderingstringOptional
Which field to use when ordering the results.
searchstringOptional
A search term.

Response

countinteger
nextstring or nullformat: "uri"
previousstring or nullformat: "uri"
resultslist of objects